<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: operations.proto

namespace Tinkoff\Invest\V1;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 *Баланс позиции ценной бумаги.
 *
 * Generated from protobuf message <code>tinkoff.public.invest.api.contract.v1.PositionsSecurities</code>
 */
class PositionsSecurities extends \Google\Protobuf\Internal\Message
{
    /**
     *Figi-идентификатор бумаги
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     */
    protected $figi = '';
    /**
     *Заблокировано
     *
     * Generated from protobuf field <code>int64 blocked = 2;</code>
     */
    protected $blocked = 0;
    /**
     *Текущий баланс
     *
     * Generated from protobuf field <code>int64 balance = 3;</code>
     */
    protected $balance = 0;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $figi
     *          Figi-идентификатор бумаги
     *     @type int|string $blocked
     *          Заблокировано
     *     @type int|string $balance
     *          Текущий баланс
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Operations::initOnce();
        parent::__construct($data);
    }

    /**
     *Figi-идентификатор бумаги
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     * @return string
     */
    public function getFigi()
    {
        return $this->figi;
    }

    /**
     *Figi-идентификатор бумаги
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     * @param string $var
     * @return $this
     */
    public function setFigi($var)
    {
        GPBUtil::checkString($var, True);
        $this->figi = $var;

        return $this;
    }

    /**
     *Заблокировано
     *
     * Generated from protobuf field <code>int64 blocked = 2;</code>
     * @return int|string
     */
    public function getBlocked()
    {
        return $this->blocked;
    }

    /**
     *Заблокировано
     *
     * Generated from protobuf field <code>int64 blocked = 2;</code>
     * @param int|string $var
     * @return $this
     */
    public function setBlocked($var)
    {
        GPBUtil::checkInt64($var);
        $this->blocked = $var;

        return $this;
    }

    /**
     *Текущий баланс
     *
     * Generated from protobuf field <code>int64 balance = 3;</code>
     * @return int|string
     */
    public function getBalance()
    {
        return $this->balance;
    }

    /**
     *Текущий баланс
     *
     * Generated from protobuf field <code>int64 balance = 3;</code>
     * @param int|string $var
     * @return $this
     */
    public function setBalance($var)
    {
        GPBUtil::checkInt64($var);
        $this->balance = $var;

        return $this;
    }

}

